## com.thingmagic
Enum RqlReader.PowerMode

    java.lang.Object
      java.lang.Enum<RqlReader.PowerMode>
          com.thingmagic.RqlReader.PowerMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RqlReader.PowerMode>

Enclosing class:
  RqlReader

    public static enum RqlReader.PowerMode

extends java.lang.Enum<RqlReader.PowerMode>

The device power mode, for use in the /reader/powerMode parameter.

Enum Constant Summary
`FULL`
`INVALID`
`MAXSAVE`
`MEDSAVE`
`MINSAVE`
`SLEEP`

Method Summary
`static RqlReader.PowerMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RqlReader.PowerMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INVALID

    public static final RqlReader.PowerMode INVALID

### FULL

    public static final RqlReader.PowerMode FULL

### MINSAVE

    public static final RqlReader.PowerMode MINSAVE

### MEDSAVE

    public static final RqlReader.PowerMode MEDSAVE

### MAXSAVE

    public static final RqlReader.PowerMode MAXSAVE

### SLEEP

    public static final RqlReader.PowerMode SLEEP

Method Detail

### values

    public static RqlReader.PowerMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RqlReader.PowerMode c : RqlReader.PowerMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RqlReader.PowerMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null